#ifndef LOG_H
#define LOG_H


#include "os.h"


typedef void (*logCallback)(char *message);


void    logCallbackSet(logCallback callback);
void    logClose(void);
uint8_t logOpen(char *filename, uint8_t append);
void    logOpenByHandle(FILE *handle);
void    logWrite(char *format, ...);
void    logWriteToFileOnly(char *format, ...);


#endif // LOG_H
